Bug 1281355 - Disable deltarpm with package manager dnf
Summary: Disable deltarpm with package manager dnf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-12 11:18 UTC by Lukas Slebodnik
Modified: 2016-01-03 23:26 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.14-1.fc23 mock-1.2.14-1.el6 mock-1.2.14-1.fc22 mock-1.2.14-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-27 18:21:16 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1148208 0 low CLOSED [rfe] enable deltarpm support by default 2021-02-22 00:41:40 UTC

Internal Links: 1148208

Description Lukas Slebodnik 2015-11-12 11:18:44 UTC
Description of problem:
It happened to me sometimes that installation of chroot stopped in strange state
while dnf tried to rebuild kernel packages from delta-rpms

root     14944  0.0  0.3 154012 14288 ?        S    Nov11   0:08      \_ /usr/bin/python3 -tt /usr/sbin/mock --root=fedora-rawhide-x86_64 --resultdi
r result rpmbuild/SRPMS/sssd-1.13.90-0.fc24.src.rpm
root     14977  0.0  2.2 642104 90244 ?        Ss   Nov11   0:32          \_ /usr/bin/python3 -OO /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ -y --releasever 24 
update
root     14990  0.0  0.0  15064   100 ?        S    Nov11   0:00              \_ /usr/bin/applydeltarpm -a noarch /var/lib/mock/fedora-rawhide-x86_64/root/var/cache/dnf/fedora-2d95c80a1f
a0a67d/packages/perl-Carp-1.36-346.fc23_1.38-1.fc24.noarch.drpm /var/lib/mock/fedora-rawhide-x86_64/root/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/perl-Carp-1.38-1.fc24.noarch.rpm
root     14992  0.0  0.0  66180  1464 ?        S    Nov11   0:00              |   \_ /usr/bin/rpmdumpheader -a noarch perl-Carp 1.36 346.fc23
root     14991  0.0  0.0  15212   368 ?        S    Nov11   0:00              \_ /usr/bin/applydeltarpm -a x86_64 /var/lib/mock/fedora-rawhide-x86_64/root/var/cache/dnf/fedora-2d95c80a1f
a0a67d/packages/kernel-headers-4.4.0-0.rc0.git5.1.fc24_4.4.0-0.rc0.git6.1.fc24.x86_64.drpm /var/lib/mock/fedora-rawhide-x86_64/root/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/kernel-
headers-4.4.0-0.rc0.git6.1.fc24.x86_64.rpm
root     14993  0.0  0.0  66180  1968 ?        S    Nov11   0:00                  \_ /usr/bin/rpmdumpheader -a x86_64 kernel-headers 4.4.0 0.rc0.git5.1.fc24


Version-Release number of selected component (if applicable):
sh$ rpm -q dnf mock
dnf-1.1.3-1.fc24.noarch
mock-1.2.13-2.fc24.noarch

How reproducible:
Random

Steps to Reproduce:
I do not have a reliable reproducer

Actual results:
Installation of chroot did not finished within 11 hours

Expected results:
Installation of chroot should reliably work. (as with package manager yum)

Additional info:

You might consider to set
config_opts['dnf_common_opts'] = [ '--setopt=deltarpm=false' ]

Comment 1 Miroslav Suchý 2015-11-12 12:15:31 UTC
Done in commit
* 73a616c use --setopt=deltarpm=false as default value for dnf_common_opts [RHBZ#1281355]

Comment 2 Fedora Update System 2015-11-24 23:32:02 UTC
mock-1.2.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d1cc55330

Comment 3 Fedora Update System 2015-11-24 23:32:33 UTC
mock-1.2.14-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4d491366d

Comment 4 Fedora Update System 2015-11-24 23:32:34 UTC
mock-1.2.14-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd9c932e3a

Comment 5 Fedora Update System 2015-11-24 23:33:06 UTC
mock-1.2.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ef940024e

Comment 6 Fedora Update System 2015-11-26 00:51:24 UTC
mock-1.2.14-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd9c932e3a

Comment 7 Fedora Update System 2015-11-26 00:53:26 UTC
mock-1.2.14-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a295f19cae

Comment 8 Fedora Update System 2015-11-26 01:22:10 UTC
mock-1.2.14-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4d491366d

Comment 9 Fedora Update System 2015-11-26 02:25:44 UTC
mock-1.2.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ef940024e

Comment 10 Fedora Update System 2015-11-26 02:54:42 UTC
mock-1.2.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d1cc55330

Comment 11 Fedora Update System 2015-11-27 18:20:47 UTC
mock-1.2.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-01-03 20:26:35 UTC
mock-1.2.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-01-03 21:20:23 UTC
mock-1.2.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-01-03 23:26:20 UTC
mock-1.2.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.